aboutsummaryrefslogtreecommitdiff
path: root/bootstrap.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..15f5d0e
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+if [[ ! -d ~/.tmux ]]; then
+ git clone https://github.com/tmux-plugins/tpm ~/.tmux/plugins/tpm
+fi
+if [[ -f ~/.tmux.conf ]]; then
+ echo "Old tmux configuration detected, remove it before running."
+ exit 1
+fi
+cat > ~/.tmux.conf << EOF
+set-option -g status-position top
+set -g @plugin 'tmux-plugins/tpm'
+set -g @plugin 'tmux-plugins/tmux-sensible'
+set -g @plugin 'tmux-plugins/tmux-colortag'
+run -b '~/.tmux/plugins/tpm/tpm'
+EOF